PDA

View Full Version : Please do not upgrade to IntelliJ 15.0.2, WebStorm 11.0.2, etc...



Mark.Brocato
10 Dec 2015, 6:26 AM
It looks like JetBrains made a breaking API change in their most recent minor release of their IDEs that causes errors during indexing. We are working on a fix. We will post an update here once it is fixed.

allenerb
11 Dec 2015, 10:32 AM
Thanks for the update. Fortunately, I was able to downgrade back to 11.0.1 as I didn't see this before updating.

AussieFlem
14 Dec 2015, 4:14 AM
Are there any nightlies for the plugins?

Mark.Brocato
15 Dec 2015, 5:16 AM
Sorry, there aren't. It shouldn't be too long now. I've solved all of the main issues related to API changes. Just need to work through my unit tests. We are hoping to get a new version out before Christmas.

Mark.Brocato
24 Dec 2015, 3:02 AM
Just wanted to give everyone an update on this. It was a little more tricky than I expected to fix the issues related to IntelliJ 15.0.2. We weren't able to get a new release ready for Christmas as I had hoped. We do, however, have all of the issues fixed in development now, so I think we should be able to release in the first week of the new year. Thank you everyone for your patience. Happy Holidays!

Stormseeker
24 Dec 2015, 6:05 AM
Hopefully they didn't break anything else with this update.

http://blog.jetbrains.com/webstorm/2015/12/webstorm-11-0-3/

AussieFlem
5 Jan 2016, 1:43 AM
Hi Mark.

What news of the plugin update?

Mark.Brocato
5 Jan 2016, 4:42 AM
An update to address the breaking changes in 15.0.3 should be out by the end of the week. In addition, our testing shows that this update (v6.0.7) works with both IntelliJ 15.0.3 EAP and 16 EAP as well.

AussieFlem
5 Jan 2016, 9:23 PM
And WebStorm 11.0.3 ?

chanand
6 Jan 2016, 8:49 PM
Sencha, you're so lame...

Mark.Brocato
6 Jan 2016, 9:02 PM
And WebStorm 11.0.3 ?



The upcoming release, 6.0.7, seems to work fine on 11.0.3 as well as the IntelliJ 16 EAP (which will be equivalent to WebStorm 12).

Again, I apologize for not having this out sooner. I personally put in a lot of hours leading up to the holidays to get things working with the new APIs. It definitely was not a trivial task. I don't mind keeping up with the latest API improvements but man, I wish they had designated IntelliJ 15.0.2 as a major release.

Anyway testing is complete on 6.0.7. It will most likely be released Friday, 1/7. Thank you for your patience, everyone.

Stormseeker
6 Jan 2016, 9:38 PM
Again, I apologize for not having this out sooner. I personally put in a lot of hours leading up to the holidays to get things working with the new APIs. It definitely was not a trivial task. I don't mind keeping up with the latest API improvements but man, I wish they had designated IntelliJ 15.0.2 as a major release.


Thanks Mark! It's pretty ridiculous that Jetbrains made such a major change in a minor version release.

shepsii
7 Jan 2016, 1:58 AM
Thanks for your hard work Mark. Look forward to being able to do the upgrade in Webstorm.

AussieFlem
7 Jan 2016, 9:42 PM
Hi Mark (and everyone else!).

Pleased to confirm that upgrading to WebStorm 11.0.3 with the new 6.0.7 plugin works fine.

Upgraded Webstorm, and it went nuts with indexing errors.
Upgraded the plugin, restarted WebStorm and it all looks to be behaving normally.

Nice work - particularly after being dropped in it with the breaking change.
So much for Semver in Webstorm :P

mitchellsimoens
8 Jan 2016, 8:02 AM
Version 6.0.7 of the plugin has been released to address this issue: https://www.sencha.com/forum/showthread.php?307954-Sencha-JetBrains-IDE-Plugin-6.0.7-Now-Available!

Mark.Brocato
8 Jan 2016, 8:19 AM
Thanks AussieFlem!


Hi Mark (and everyone else!).

Pleased to confirm that upgrading to WebStorm 11.0.3 with the new 6.0.7 plugin works fine.